• Русский
  • LimitRange [v1]

    Description
    LimitRange sets resource usage limits for each kind of resource in a Namespace.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    LimitRangeSpec defines a min/max usage limit for resources that match on kind.

    .spec

    Description
    LimitRangeSpec defines a min/max usage limit for resources that match on kind.
    Type
    object
    Required
    limits
    PropertyTypeDescription
    limitsarray

    Limits is the list of LimitRangeItem objects that are enforced.

    .spec.limits

    Description
    Limits is the list of LimitRangeItem objects that are enforced.
    Type
    array

    .spec.limits[]

    Description
    LimitRangeItem defines a min/max usage limit for any resource that matches on kind.
    Type
    object
    Required
    type
    PropertyTypeDescription
    defaultobject

    Default resource requirement limit value by resource name if resource limit is omitted.

    defaultRequestobject

    DefaultRequest is the default resource requirement request value by resource name if resource request is omitted.

    maxobject

    Max usage constraints on this kind by resource name.

    maxLimitRequestRatioobject

    MaxLimitRequestRatio if specified, the named resource must have a request and limit that are both non-zero where limit divided by request is less than or equal to the enumerated value; this represents the max burst for the named resource.

    minobject

    Min usage constraints on this kind by resource name.

    typestring

    Type of resource that this limit applies to.

    .spec.limits[].default

    Description
    Default resource requirement limit value by resource name if resource limit is omitted.
    Type
    object

    .spec.limits[].defaultRequest

    Description
    DefaultRequest is the default resource requirement request value by resource name if resource request is omitted.
    Type
    object

    .spec.limits[].max

    Description
    Max usage constraints on this kind by resource name.
    Type
    object

    .spec.limits[].maxLimitRequestRatio

    Description
    MaxLimitRequestRatio if specified, the named resource must have a request and limit that are both non-zero where limit divided by request is less than or equal to the enumerated value; this represents the max burst for the named resource.
    Type
    object

    .spec.limits[].min

    Description
    Min usage constraints on this kind by resource name.
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /kubernetes/{cluster}/api/v1/namespaces/{namespace}/limitranges
      • DELETE: delete collection of LimitRange
      • GET: list objects of kind LimitRange
      • POST: create a new LimitRange
    • /kubernetes/{cluster}/api/v1/namespaces/{namespace}/limitranges/{name}
      • DELETE: delete the specified LimitRange
      • GET: read the specified LimitRange
      • PATCH: partially update the specified LimitRange
      • PUT: replace the specified LimitRange

    /kubernetes/{cluster}/api/v1/namespaces/{namespace}/limitranges

    HTTP method
    DELETE
    Description
    delete collection of LimitRange
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind LimitRange
    HTTP responses
    HTTP codeResponse body
    200 - OKLimitRangeList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new LimitRange
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyLimitRange schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKLimitRange schema
    201 - CreatedLimitRange schema
    202 - AcceptedLimitRange schema
    401 - UnauthorizedEmpty

    /kubernetes/{cluster}/api/v1/namespaces/{namespace}/limitranges/{name}

    HTTP method
    DELETE
    Description
    delete the specified LimitRange
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified LimitRange
    HTTP responses
    HTTP codeResponse body
    200 - OKLimitRange schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified LimitRange
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKLimitRange schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified LimitRange
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyLimitRange schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKLimitRange schema
    201 - CreatedLimitRange schema
    401 - UnauthorizedEmpty